clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::Index Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::Index:
[legend]
Collaboration diagram for clang::doc::Index:
[legend]

## Public Member Functions
| Index ()=default
| Index (StringRef Name)
| Index (StringRef Name, StringRef JumpToSection)
| Index (SymbolID USR, StringRef Name, InfoType IT, StringRef Path)
bool | operator== (const SymbolID &Other) const
bool | operator< (const Index &Other) const
void | sort ()
Public Member Functions inherited from clang::doc::Reference
| Reference ()=default
| Reference (llvm::StringRef Name)
| Reference (llvm::StringRef Name, StringRef Path)
| Reference (SymbolID USR, StringRef Name, InfoType IT)
| Reference (SymbolID USR, StringRef Name, InfoType IT, StringRef Path)
bool | operator== (const Reference &Other) const
bool | mergeable (const Reference &Other)
void | merge (Reference &&I)

## Public Attributes
llvm::Optional< SmallString< 16 > > | JumpToSection
std::vector< Index > | Children
Public Attributes inherited from clang::doc::Reference
SymbolID | USR = SymbolID()
SmallString< 16 > | Name
InfoType | RefType = InfoType::IT_default
llvm::SmallString< 128 > | Path
bool | IsInGlobalNamespace = false

## Detailed Description

Definition at line 389 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ Index() [1/4]

clang::doc::Index::Index | ( |  | ) |
| default

## ◆ Index() [2/4]

clang::doc::Index::Index | ( | StringRef | Name | ) |
| inline

Definition at line 391 of file Representation.h.

## ◆ Index() [3/4]

clang::doc::Index::Index | ( | StringRef | Name,
|  | StringRef | JumpToSection
| ) |  |
| inline

Definition at line 392 of file Representation.h.

## ◆ Index() [4/4]

clang::doc::Index::Index | ( | SymbolID | USR,
|  | StringRef | Name,
|  | InfoType | IT,
|  | StringRef | Path
| ) |  |
| inline

Definition at line 394 of file Representation.h.

## Member Function Documentation

## ◆ operator<()

bool clang::doc::Index::operator< | ( | const Index & | Other | ) | const

Definition at line 251 of file Representation.cpp.

References clang::doc::Reference::Name.

## ◆ operator==()

bool clang::doc::Index::operator== | ( | const SymbolID & | Other | ) | const
| inline

Definition at line 397 of file Representation.h.

References clang::clangd::operator<().

## ◆ sort()

void clang::doc::Index::sort | ( |  | ) |

Definition at line 270 of file Representation.cpp.

## Member Data Documentation

## ◆ Children

std::vector<Index> clang::doc::Index::Children

Definition at line 401 of file Representation.h.

Referenced by clang::doc::Generator::addInfoToIndex(), and clang::doc::genInfoIndexItem().

## ◆ JumpToSection

llvm::Optional<SmallString<16> > clang::doc::Index::JumpToSection

Definition at line 400 of file Representation.h.

The documentation for this struct was generated from the following files:

- Representation.h
- Representation.cpp